<?
if (!isset($user) && !isset($_GET['id_user'])){header("Location: /foto/?".SID);exit;}
if (isset($user))$ank['id']=$user['id'];
if (isset($_GET['id_user']))$ank['id']=intval($_GET['id_user']);
$ank=get_user($ank['id']);
if (!$ank){header("Location: /foto/?".SID);exit;}
$set['title']=$ank['nick'].' - Фотоальбомы'; // заголовок страницы
include_once '../sys/inc/thead.php';
title();
include_once 'inc/gallery_act.php';
err();

$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `gallery` WHERE `id_user` = '$ank[id]'"),0);
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
if ($k_post==0)
{
?>
<div class='noy'>Нет фотоальбомов</div>
<?
}

$q=mysql_query("SELECT * FROM `gallery` WHERE `id_user` = '$ank[id]' ORDER BY `time` DESC LIMIT $start, $set[p_str]");
while ($post = mysql_fetch_assoc($q))
{
echo "<a href='/foto/$ank[id]/$post[id]/'>";
if($num==1){
echo "<div class='enk_div'>\n";
$num=0;
}else{
echo "<div class='enk2_div'>\n";
$num=1;}
$foto = mysql_fetch_assoc(mysql_query("SELECT * FROM `gallery_foto` WHERE `id_gallery` = '$post[id]' ORDER BY RAND()"));
if ($foto==null){
echo "<img src='/foto/foto48/0.png' alt='Нет фото_ENK' />";
}else{
echo "<img src='/foto/foto48/$foto[id].$foto[ras]' alt='Фото_$foto[id]' />";
}
echo "<br />\n";
echo "<img src='/style/images/ic_m26.gif' alt='enk_2012'> $post[name] (".mysql_result(mysql_query("SELECT COUNT(*) FROM `gallery_foto` WHERE `id_gallery` = '$post[id]'"),0)." фото)<br />\n";
echo "<img src='/style/images/k.gif' alt='ENK'>\n";
if ($post['opis']==null)
echo "Без описания<br />\n";
else 
echo esc(trim(br(bbcode(smiles(links(stripcslashes(htmlspecialchars($post['opis']))))))))."<br />\n";
echo "<img src='/style/images/time.png' alt='ENK'> Создан: ".vremja($post['time_create']);
echo "</div></a>\n";
}

if ($k_page>1)str('?',$k_page,$page);
include_once 'inc/gallery_form.php';

echo "<div class='fyt'>\n";
echo "• <a href='/foto/'>Все альбомы</a><br />\n";
echo "</div>\n";
include_once '../sys/inc/tfoot.php';
exit;
?>